Subject: [mpls] MPLS with VRRP

From: "Qian, Edward" <[email-masked]>
Date: Mon, 27 Sep 2004 16:26:33 -0500

Hello,
 
Could someone please share any experience when setting up MPLS tunnels
via VRRP routers?
 
Here is a tricky case:
I have a host connected to two routers (running VRRP as a virtual
default gateway). 
My host is actually MPLS capable (as a tunnel ingress LER) to setup TE
tunnels via either one of 
the two neighbor routers to a tunnel egress LER.
At my host, I choose to use explicit route with RSVP-TE ERO to set up
such a TE tunnel. For the explicit hop list, 
the first hop would be one of the VRRP routers, say I choose the master
Router A (slave is Router B).
I should expect to happily send traffic out of my host through this TE
tunnel via Router A if everything runs well.
Note that Router B has no knowledge of my TE tunnel.
 
Assuming Router A has a failure occurred, it is then expected that
Router B should take over as a new master.
What would happen to my TE tunnel?  My host will keep sending labeled
packets over the Ethernet frames 
to the same virtual MAC which is also recognized by Router B. Router B,
however, knows nothing about 
the TE tunnel. So all the TE tunnel traffic will be dropped.
(or just imagining that Router B may even intelligently strip off the
label and perform plain hop-by-hop forwarding to the destination,
that's to say all the packets are leaked out of my TE tunnel).
 
So my question is: Does VRRP really work with MPLS tunnels?
 
Regards,
Edward
 
-------------------------------------------------------------------
Edward Qian ([email-masked])
Staff System Architect, Tekelec
Phone: 972-461-6349   Fax: 972-461-7506
 
_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls